<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderAnalogPushesItem.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderAnalogPushesItem_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderAnalogPushesItem.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommanderAnalogPushesItem_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommanderAnalogPushesItem_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERANALOGPUSHES</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushesItem.html">   12</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderAnalogPushesItem.html">ButtonsCommanderAnalogPushesItem</a> : <span class="keyword">public</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; <span class="keyword">private</span>:</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="keywordtype">int</span> analogValue;            <span class="comment">// analog value associated with this button</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keywordtype">int</span> readingTolerancy;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushesItem.html#a397b15ec4df6f1fbe2b9f1b1728bc770">   22</a></span>&#160;    <a class="code" href="classButtonsCommanderAnalogPushesItem.html#a397b15ec4df6f1fbe2b9f1b1728bc770">ButtonsCommanderAnalogPushesItem</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId = 0) : <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a>(inId) { this-&gt;analogValue = 0; }</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushesItem.html#a8c814177a5d01a21d6aef4877858917b">   29</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderAnalogPushesItem.html#a8c814177a5d01a21d6aef4877858917b">begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inAnalogValue, <span class="keywordtype">int</span> inTolerancy) { this-&gt;<a class="code" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a> = inId;  this-&gt;analogValue = inAnalogValue; this-&gt;readingTolerancy = inTolerancy; }</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classButtonsCommanderAnalogPushesItem.html#aa82a50f06a8457b543a0dc3bb757a468">IsPushed</a>(<span class="keywordtype">int</span> inCurrentValue);</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classButtonsCommanderAnalogPushesItem.html#a05b3210abff1b00954c661da7695d765">   36</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classButtonsCommanderAnalogPushesItem.html#a05b3210abff1b00954c661da7695d765">GetAnalogValue</a>() { <span class="keywordflow">return</span> this-&gt;analogValue; }</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span> printCommander();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;};</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classButtonsCommanderAnalogPushesItem_html_a8c814177a5d01a21d6aef4877858917b"><div class="ttname"><a href="classButtonsCommanderAnalogPushesItem.html#a8c814177a5d01a21d6aef4877858917b">ButtonsCommanderAnalogPushesItem::begin</a></div><div class="ttdeci">void begin(unsigned long inId, int inAnalogValue, int inTolerancy)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushesItem_8hpp_source.html#l00029">ButtonsCommanderAnalogPushesItem.hpp:29</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushesItem_html_a397b15ec4df6f1fbe2b9f1b1728bc770"><div class="ttname"><a href="classButtonsCommanderAnalogPushesItem.html#a397b15ec4df6f1fbe2b9f1b1728bc770">ButtonsCommanderAnalogPushesItem::ButtonsCommanderAnalogPushesItem</a></div><div class="ttdeci">ButtonsCommanderAnalogPushesItem(unsigned long inId = 0)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushesItem_8hpp_source.html#l00022">ButtonsCommanderAnalogPushesItem.hpp:22</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushesItem_html_a05b3210abff1b00954c661da7695d765"><div class="ttname"><a href="classButtonsCommanderAnalogPushesItem.html#a05b3210abff1b00954c661da7695d765">ButtonsCommanderAnalogPushesItem::GetAnalogValue</a></div><div class="ttdeci">int GetAnalogValue()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushesItem_8hpp_source.html#l00036">ButtonsCommanderAnalogPushesItem.hpp:36</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a3b40667770ab04694a2ea85f11aebfe0"><div class="ttname"><a href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">ButtonsCommanderButton::Id</a></div><div class="ttdeci">unsigned long Id</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00019">ButtonsCommanderButton.hpp:19</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushesItem_html"><div class="ttname"><a href="classButtonsCommanderAnalogPushesItem.html">ButtonsCommanderAnalogPushesItem</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushesItem_8hpp_source.html#l00012">ButtonsCommanderAnalogPushesItem.hpp:12</a></div></div>
<div class="ttc" id="classButtonsCommanderAnalogPushesItem_html_aa82a50f06a8457b543a0dc3bb757a468"><div class="ttname"><a href="classButtonsCommanderAnalogPushesItem.html#aa82a50f06a8457b543a0dc3bb757a468">ButtonsCommanderAnalogPushesItem::IsPushed</a></div><div class="ttdeci">bool IsPushed(int inCurrentValue)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderAnalogPushesItem_8cpp_source.html#l00011">ButtonsCommanderAnalogPushesItem.cpp:11</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderAnalogPushesItem.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
